0

I got this error code after migration to different server.

Warning: require_once(/home/customer/www/noname.com/public_html/wp-includes/widgets/class-wp-widget-pages.php): failed to open stream: No such file or directory in /home/customer/www/noname.com/public_html/wp-includes/default-widgets.php on line 11

Fatal error: require_once(): Failed opening required '/home/customer/www/noname.com/public_html/wp-includes/widgets/class-wp-widget-pages.php' (include_path='.:/usr/local/php74/pear') in /home/customer/www/noname.com/public_html/wp-includes/default-widgets.php on line 11

I delete the complete php file from ftp just to see the reaction but same error apears. I null it in DB and it still remains.

Any clue? *(for the record noname.com have nothing to do with this just a name i use.

2
  • From the error message it's clear that there's files missing from the migration. It sounds like your solution was to delete more files? You need to recover those files. Do a manual update of WordPress: wordpress.org/support/article/updating-wordpress/#manual-update Oct 24, 2021 at 11:21
  • the thing is that those files where there i deleted and replaced them again. And got those error still..however..one of sudden the site kicked in and worked for no actual reason..im clueless..
    – awex
    Oct 24, 2021 at 12:44

1 Answer 1

0

are you sure that all required php extensions are installed on the new server? you can compare it with the old server

the list if required PHP extensions for Wordpress from official Wordpress website: https://make.wordpress.org/hosting/handbook/server-environment/

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.